<?php
/* Mantenimiento de los registros de la tabla COM_GastosImportacionDet redefinidos por el usaurio */
class COM_GastosImportacionDetDP extends BaseCOM_GastosImportacionDetDP
{
    public static function recuperarId( $s_IdOC )
    {
        $s_Sql = "SELECT IF( MAX( GastosImportacionId ) IS NULL, 1, MAX( GastosImportacionId ) + 1 ) i_Id  FROM COM_GastosImportacionDet WHERE IdOrdenCompra='$s_IdOC';";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>